QScintilla: QextScintillaLexerPerl Class Reference

- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# QextScintillaLexerPerl Class Reference

The QextScintillaLexerPerl class encapsulates the Scintilla Perl lexer. More...

`#include <qextscintillalexerperl.h>`

Inherits QextScintillaLexer.

List of all members.

## Public Types

- Default = 0
- WhiteSpace = Default
- Error = 1
- Comment = 2
- POD = 3
- Number = 4
- Keyword = 5
- DoubleQuotedString = 6
- SingleQuotedString = 7
- Operator = 10
- Identifier = 11
- Scalar = 12
- Array = 13
- Hash = 14
- SymbolTable = 15
- Regex = 17
- Substitution = 18
- Backticks = 20
- DataSection = 21
- HereDocumentDelimiter = 22
- SingleQuotedHereDocument = 23
- DoubleQuotedHereDocument = 24
- BacktickHereDocument = 25
- QuotedStringQ = 26
- QuotedStringQQ = 27
- QuotedStringQX = 28
- QuotedStringQR = 29
- QuotedStringQW = 30
- PODVerbatim = 31
- enum {
  Default = 0, WhiteSpace = Default, Error = 1,
  Comment = 2, POD = 3, Number = 4,
  Keyword = 5, DoubleQuotedString = 6, SingleQuotedString = 7,
  Operator = 10, Identifier = 11, Scalar = 12,
  Array = 13, Hash = 14, SymbolTable = 15,
  Regex = 17, Substitution = 18, Backticks = 20,
  DataSection = 21, HereDocumentDelimiter = 22, SingleQuotedHereDocument = 23,
  DoubleQuotedHereDocument = 24, BacktickHereDocument = 25, QuotedStringQ = 26,
  QuotedStringQQ = 27, QuotedStringQX = 28, QuotedStringQR = 29,
  QuotedStringQW = 30, PODVerbatim = 31
  }

## Public Slots

- virtual void setFoldComments (bool fold)
- virtual void setFoldCompact (bool fold)

## Public Member Functions

- QextScintillaLexerPerl (QObject *parent=0, const char *name=0)
- virtual ~QextScintillaLexerPerl ()
- const char * language () const
- const char * lexer () const
- int braceStyle () const
- const char * wordCharacters () const
- QColor color (int style) const
- bool eolFill (int style) const
- QFont font (int style) const
- const char * keywords (int set) const
- QString description (int style) const
- QColor paper (int style) const
- void refreshProperties ()
- bool foldComments () const
- bool foldCompact () const

## Protected Member Functions

- bool readProperties (QSettings &qs, const QString &prefix)
- bool writeProperties (QSettings &qs, const QString &prefix) const

## Detailed Description

The QextScintillaLexerPerl class encapsulates the Scintilla Perl lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the Perl lexer.

Enumerator:

  Default | The default.
  WhiteSpace | Deprecated: White space.
  Error | An error.
  Comment | A comment.
  POD | A POD.
  Number | A number.
  Keyword | A keyword.
  DoubleQuotedString | A double-quoted string.
  SingleQuotedString | A single-quoted string.
  Operator | An operator.
  Identifier | An identifier.
  Scalar | A scalar.
  Array | An array.
  Hash | A hash.
  SymbolTable | A symbol table.
  Regex | A regular expression.
  Substitution | A substitution.
  Backticks | Backticks.
  DataSection | A data section.
  HereDocumentDelimiter | A here document delimiter.
  SingleQuotedHereDocument | A single quoted here document.
  DoubleQuotedHereDocument | A double quoted here document.
  BacktickHereDocument | A backtick here document.
  QuotedStringQ | A quoted string (q).
  QuotedStringQQ | A quoted string (qq).
  QuotedStringQX | A quoted string (qx).
  QuotedStringQR | A quoted string (qr).
  QuotedStringQW | A quoted string (qw).
  PODVerbatim | A verbatim POD.

## Constructor & Destructor Documentation

QextScintillaLexerPerl::QextScintillaLexerPerl | ( | QObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QextScintillaLexerPerl with parent parent and name name. parent is typically the QextScintilla instance.

virtual QextScintillaLexerPerl::~QextScintillaLexerPerl | ( |  | ) | `[virtual]`

Destroys the QextScintillaLexerPerl instance.

## Member Function Documentation

const char* QextScintillaLexerPerl::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements QextScintillaLexer.

const char* QextScintillaLexerPerl::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements QextScintillaLexer.

QColor QextScintillaLexerPerl::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from QextScintillaLexer.

bool QextScintillaLexerPerl::eolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from QextScintillaLexer.

QFont QextScintillaLexerPerl::font | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from QextScintillaLexer.

const char* QextScintillaLexerPerl::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QextScintillaLexer.

QString QextScintillaLexerPerl::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then QString::null is returned. This is intended to be used in user preference dialogs.

Implements QextScintillaLexer.

QColor QextScintillaLexerPerl::paper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  color()

Reimplemented from QextScintillaLexer.

void QextScintillaLexerPerl::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QextScintillaLexer.

bool QextScintillaLexerPerl::foldComments | ( |  | ) | const

Returns TRUE if multi-line comment blocks can be folded.

See also:
  setFoldComments()

bool QextScintillaLexerPerl::foldCompact | ( |  | ) | const

Returns TRUE if trailing blank lines are included in a fold block.

See also:
  setFoldCompact()

virtual void QextScintillaLexerPerl::setFoldComments | ( | bool | fold | ) | `[virtual, slot]`

If fold is TRUE then multi-line comment blocks can be folded. The default is FALSE.

See also:
  foldComments()

virtual void QextScintillaLexerPerl::setFoldCompact | ( | bool | fold | ) | `[virtual, slot]`

If fold is TRUE then trailing blank lines are included in a fold block. The default is TRUE.

See also:
  foldCompact()

bool QextScintillaLexerPerl::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix |
| ) |  |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. TRUE is returned if there is no error.

Reimplemented from QextScintillaLexer.

bool QextScintillaLexerPerl::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix |
| ) |  |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. TRUE is returned if there is no error.

Reimplemented from QextScintillaLexer.